# Type Alias WidgetEditorActions<T>

type WidgetEditorActions<T = CombinedWidgetContent> = {
onChange: (content: Partial<T>, override?: boolean) => void;
onSave: (content: Partial<T>) => void;
onStateChange: (state: WidgetStateProps) => void;
}

#### Type Parameters

- T = CombinedWidgetContent

- Defined in jamespot-user-api/src/types/widgets/default.ts:501

##### Index

### Properties

onChange
onSave
onStateChange

## Properties

### onChange

onChange: (content: Partial<T>, override?: boolean) => void

- Defined in jamespot-user-api/src/types/widgets/default.ts:502

### onSave

onSave: (content: Partial<T>) => void

- Defined in jamespot-user-api/src/types/widgets/default.ts:503

### onStateChange

onStateChange: (state: WidgetStateProps) => void

- Defined in jamespot-user-api/src/types/widgets/default.ts:504